program kp_minuses;

{$APPTYPE CONSOLE}

// Complexity O(n)

const
  maxn=100000;

var
  n, i, k, m: integer;
  a: array [1..maxn] of byte;
  c: array [1..maxn] of integer; // using array just to check input

begin
//  reset(input,'input.txt');
//  rewrite(output,'output.txt');

  // reading and checking input

  readln(n);
  fillchar(a,sizeof(a),0);

  assert((1<=n) and (n<=maxn));

  for i:=1 to n do begin
    readln(c[i]);
    assert((c[i]>=1) and (c[i]<=n) and (a[c[i]]=0));
    a[c[i]]:= 1;
  end;

  if (n mod 4=1) or (n mod 4=2) then writeln('NO') else begin
    writeln('YES');
    m:= n mod 4;
    for i:=1 to n do
      if m=0 then
        if c[i]<=n div 2 then
          if odd(c[i]) then writeln('+')
          else writeln('-')
        else
          if odd(c[i]) then writeln('-')
          else writeln('+')
      else
        if (c[i]=1) or (c[i]=2) then writeln('+')
        else if c[i]=3 then writeln('-')
        else if c[i]-3<=(n-3) div 2 then
          if odd(c[i]-3) then writeln('+')
          else writeln('-')
        else
          if odd(c[i]-3) then writeln('-')
          else writeln('+');
  end;
end.